Summary: NCM srvtab configuration component
Name: ncm-srvtab
Version: 2.0.1
Vendor: CERN
Release: 1%{?dist}
License: GPL
Group: quattor/Components
Source: %{name}-%{version}.tar.gz
BuildArch: noarch
BuildRoot: /var/tmp/%{name}-build
Packager: Jaroslaw Polok <jaroslaw.polok@cern.ch>
Requires: ncm-ncd
Requires: cern-get-keytab >= 0.7.1

%description

quattor (http://quattor.org) NCM srvtab configuration component:

NCM srvtab configuration component

%prep
%setup

%build
make

%install
rm -rf $RPM_BUILD_ROOT
make PREFIX=$RPM_BUILD_ROOT install

%files
%defattr(-,root,root)
%doc /usr/share/doc/%{name}-%{version}/*
%doc /usr/share/man/man8/*
/usr/lib/perl/NCM/Component/srvtab.pm
/usr/lib/ncm/config/*
/usr/share/doc/pan-templates/namespaces/components//srvtab/*

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Mon Feb 4 2013 Jaroslaw Polok <Jaroslaw.Polok@cern.ch> 2.0.1-1
- require cern-get-keytab 0.7.1 or newer

* Mon Nov 19 2012 Jaroslaw Polok <Jaroslaw.Polok@cern.ch> 2.0-1
- using cern-get-keytab now.

* Fri Jun 10 2011 Jan van Eldik <Jan.van.Eldik@cern.ch> 1.2.2-2.slc6
- Minor fix

* Thu Aug 21 2008 Jan Iven

- various "enforced" things added (config.tpl, README, pos.cin file..)
- new "verbose" option, default=0ff
- no longer insist on aksrvutil being there

* Thu Jan 31 2008 Matthias Schroeder

- Attempt to make namespace compliant

* Wed Sep 05 2007 Marco Emilio Poleggi,<Marco.Poleggi@cern.ch>

- Removed MAINTAINER file

* Thu Feb 15 2007 Michel Jouvin

- Remove deprecated 'define' keyword

* Fri Aug 05 2005 Juan Antonio Lopez Perez

- Solaris porting taking into account the different paths of the
	cern-config-srvtab and aksrvutil executables in Linux and Solaris
	- Extended the check of utilities also to the aksrvutil tool
	- Changed error message of the -x execution test from 'not found' 
	to 'cannot execute'

* Tue Aug 03 2004 Jan Iven,31-1009,74957,

- move to cern-config-srvtab

* Wed Jun 30 2004 Jan Iven <jan.iven>
- added firewall configuration and documentation.

* Sat Mar 06 2004 Jaroslaw Polok <jaroslaw.polok@cern.ch>

- initial build (weekend was rainy ;-))

--- end of ChangeLog ---
